| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Member Functions | Protected Slots | Protected Member Functions | Protected Attributes | List of all members
WiresharkDialog Class Reference

Base class for Wireshark specific dialogs that require interaction with a CaptureFile. More...

`#include <wireshark_dialog.h>`

Inheritance diagram for WiresharkDialog:

## Public Member Functions
| WiresharkDialog (QWidget &parent, CaptureFile &capture_file)
| Constructs a new WiresharkDialog object.
bool | fileClosed () const
| Checks if the capture file has been closed.
Public Member Functions inherited from GeometryStateDialog
| GeometryStateDialog (QWidget *parent, Qt::WindowFlags f=Qt::Window)
| Constructs a new GeometryStateDialog with the specified parent and window flags.
| ~GeometryStateDialog ()
| Save the geometry and splitter state and then destroy the GeometryStateDialog.
void | setWindowModality (Qt::WindowModality windowModality)
| Sets the window modality for the dialog. On non-macOS platforms, this also sets the parent to ensure modal dialogs are always on top of their parent.

## Protected Slots
void | captureEvent (CaptureEvent e)
| Handles capture events.

## Protected Member Functions
virtual void | keyPressEvent (QKeyEvent *event) override
| Handles key press events.
virtual void | accept () override
| Accepts the dialog.
virtual void | reject () override
| Rejects the dialog.
virtual void | beginRetapPackets ()
| Mark the start of a code block that retaps packets. If the user closes the dialog while tapping, the dialog will not be destroyed until endRetapPackets is called.
virtual void | endRetapPackets ()
| Mark the end of a code block that retaps packets. If the user has closed the dialog it will be destroyed at this point.
void | setWindowSubtitle (const QString &subtitle)
| Set the window subtitle, e.g. "Foo Timeouts". The subtitle and file name will be added to the dialog window title.
const QString & | windowSubtitle ()
| Retrieves the current window subtitle.
virtual void | updateWidgets ()
| Updates the state and contents of the dialog's widgets.
bool | registerTapListener (const char *tap_name, void *tap_data, const char *filter, unsigned flags, tap_reset_cb tap_reset, tap_packet_cb tap_packet, tap_draw_cb tap_draw)
| Convenience wrapper for register_tap_listener. Tap listeners registered via this function are automatically removed during destruction. They can also be explicitly removed using remove_tap_listener or removeTapListeners.
virtual void | removeTapListeners ()
| Remove all tap listeners registered via registerTapListener.
bool | listening () const
bool | dialogClosed () const
| Check to see if the user has closed (and not minimized) the dialog.
int | retapDepth () const
| Check to see if we're currently retapping. If this is positive, tapping will fail in process_specified_records.
virtual void | captureFileClosing ()
| Called when the capture file is about to close. This can be used to disconnect taps and similar actions. updateWidgets() is called at the end. To enable/disable widgets captureFileClosed() is more suitable.
virtual void | captureFileClosed ()
| Called when the capture file was closed. This can be used to enable or disable widgets according to the state of file_closed_. updateWidgets() is called at the end.
Protected Member Functions inherited from GeometryStateDialog
void | loadGeometry (int width=0, int height=0, const QString &dialog_name=QString())
| Loads the geometry and splitter state for the dialog.
void | loadSplitterState (QSplitter *splitter=nullptr)
| Loads the state of a splitter for the dialog.

## Protected Attributes
CaptureFile & | cap_file_
| Reference to the underlying capture file.
bool | file_closed_
| Flag indicating if the capture file has been closed.

## Detailed Description

Base class for Wireshark specific dialogs that require interaction with a CaptureFile.

## Constructor & Destructor Documentation

## ◆ WiresharkDialog()

WiresharkDialog::WiresharkDialog | ( | QWidget & | parent,
|  | CaptureFile & | capture_file )
| explicit

Constructs a new WiresharkDialog object.

Parameters

  parent | The parent widget.
  capture_file | The associated capture file.

## Member Function Documentation

## ◆ beginRetapPackets()

void WiresharkDialog::beginRetapPackets | ( |  | ) |
| protected virtual

Mark the start of a code block that retaps packets. If the user closes the dialog while tapping, the dialog will not be destroyed until endRetapPackets is called.

This is automatically called when tapping begins, but might need to be called explicitly if any member functions are called or variables are accessed after tapping is finished.

Reimplemented in ExportObjectDialog.

## ◆ captureEvent

void WiresharkDialog::captureEvent | ( | CaptureEvent | e | ) |
| protected slot

Handles capture events.

Parameters

  e | The capture event.

## ◆ captureFileClosed()

void WiresharkDialog::captureFileClosed | ( |  | ) |
| protected virtual

Called when the capture file was closed. This can be used to enable or disable widgets according to the state of file_closed_. updateWidgets() is called at the end.

Reimplemented in BluetoothAttServerAttributesDialog, BluetoothDevicesDialog, BluetoothHciSummaryDialog, DisStreamAnalysisDialog, DisStreamDialog, FollowStreamDialog, RtpStreamDialog, and VoipCallsDialog.

## ◆ captureFileClosing()

void WiresharkDialog::captureFileClosing | ( |  | ) |
| protected virtual

Called when the capture file is about to close. This can be used to disconnect taps and similar actions. updateWidgets() is called at the end. To enable/disable widgets captureFileClosed() is more suitable.

Reimplemented in BluetoothDeviceDialog, BluetoothHciSummaryDialog, ConversationDialog, DisStreamAnalysisDialog, DisStreamDialog, DistributionDialog, EndpointDialog, ImsiListDialog, IOGraphDialog, LteMacStatisticsDialog, LteRlcStatisticsDialog, MulticastStatisticsDialog, PacketDialog, PlotDialog, RtpStreamDialog, VoipCallsDialog, and WlanStatisticsDialog.

## ◆ dialogClosed()

bool WiresharkDialog::dialogClosed | ( |  | ) | const
| inline protected

Check to see if the user has closed (and not minimized) the dialog.

Returns
  true if the dialog has been closed, false otherwise.

## ◆ endRetapPackets()

void WiresharkDialog::endRetapPackets | ( |  | ) |
| protected virtual

Mark the end of a code block that retaps packets. If the user has closed the dialog it will be destroyed at this point.

This is automatically called when tapping ends, but might need to be called explicitly if any member functions are called or variables are accessed after tapping is finished.

Reimplemented in ExportObjectDialog, and FollowStreamDialog.

## ◆ fileClosed()

bool WiresharkDialog::fileClosed | ( |  | ) | const
| inline

Checks if the capture file has been closed.

Returns
  true if the file has been closed, false otherwise.

## ◆ keyPressEvent()

virtual void WiresharkDialog::keyPressEvent | ( | QKeyEvent * | event | ) |
| inline override protected virtual

Handles key press events.

Parameters

  event | The key press event.

Reimplemented in BluetoothAttServerAttributesDialog, BluetoothDeviceDialog, BluetoothDevicesDialog, BluetoothHciSummaryDialog, ExportObjectDialog, FollowStreamDialog, IOGraphDialog, LteRlcGraphDialog, PlotDialog, SequenceDialog, and ShowPacketBytesDialog.

## ◆ registerTapListener()

bool WiresharkDialog::registerTapListener | ( | const char * | tap_name,
|  | void * | tap_data,
|  | const char * | filter,
|  | unsigned | flags,
|  | tap_reset_cb | tap_reset,
|  | tap_packet_cb | tap_packet,
|  | tap_draw_cb | tap_draw )
| protected

Convenience wrapper for register_tap_listener. Tap listeners registered via this function are automatically removed during destruction. They can also be explicitly removed using remove_tap_listener or removeTapListeners.

Shows a warning dialog if registration is unsuccessful.

Parameters

  tap_name | A registered tap name.
  tap_data | A unique pointer. Usually 'this'.
  filter | A display filter.
  flags | See register_tap_listener.
  tap_reset | Reset callback.
  tap_packet | Per-packet callback.
  tap_draw | Draw callback.

Returns
  True if registration was successful, false otherwise.

## ◆ reject()

void WiresharkDialog::reject | ( |  | ) |
| override protected virtual

Rejects the dialog.

Reimplemented in IOGraphDialog, and PlotDialog.

## ◆ removeTapListeners()

void WiresharkDialog::removeTapListeners | ( |  | ) |
| protected virtual

Remove all tap listeners registered via registerTapListener.

Reimplemented in VoipCallsDialog.

## ◆ retapDepth()

int WiresharkDialog::retapDepth | ( |  | ) | const
| inline protected

Check to see if we're currently retapping. If this is positive, tapping will fail in process_specified_records.

Returns
  The current retap depth. (In current implementation, 0 or 1.)

## ◆ setWindowSubtitle()

void WiresharkDialog::setWindowSubtitle | ( | const QString & | subtitle | ) |
| protected

Set the window subtitle, e.g. "Foo Timeouts". The subtitle and file name will be added to the dialog window title.

Parameters

  subtitle | The subtitle to add. It should be unique, short, and descriptive.

## ◆ updateWidgets()

void WiresharkDialog::updateWidgets | ( |  | ) |
| protected virtual

Updates the state and contents of the dialog's widgets.

Reimplemented in DistributionDialog.

## ◆ windowSubtitle()

const QString & WiresharkDialog::windowSubtitle | ( |  | ) |
| inline protected

Retrieves the current window subtitle.

Returns
  The window subtitle string.

The documentation for this class was generated from the following files:

- /builds/wireshark/wireshark/ui/qt/wireshark_dialog.h
- /builds/wireshark/wireshark/ui/qt/wireshark_dialog.cpp